package futils;

public class RtfUtil {
    public static final String header =
            "{\\rtf1\\ansi\\ansicpg1252\\deff0\\deflang1033" +
            "{\\fonttbl{\\f0\\fswiss\\fcharset0 Arial;}}" +
            "\\viewkind4\\uc1\\pard\\f0\\fs20";

    public static String getItalic(String s) {
        return "{\\i " + s + "}";
    }

    public static String getBold(String s) {
        return "{\\b " + s + "}";
    }

    public static String getPlain(String s) {
        return "{ " + s + "}";
    }

    public static String getPara(String s) {
        return "{ " + s + "\\par}";
    }

    public static String getTest() {
        return header +
                getPara(getItalic("this is italic")) +
                getBold("this is bold") +
                getPara("") +
                "}";
    }

    public static void print(Object o) {
        System.out.println(o);
    }


    public static void main(String args[]) {
        print(getTest());
    }

}